驱动安装失败,高人支招阿!!!

系统安装、升级讨论
回复
头像
ally86127
帖子: 113
注册时间: 2007-09-20 22:55
来自: 江西南昌
送出感谢: 0
接收感谢: 0
联系:

驱动安装失败,高人支招阿!!!

#1

帖子 ally86127 » 2008-06-19 10:23

选中了曾被取消选择的软件包 nvidia-glx-new。
(正在读取数据库 ... 系统当前总共安装有 148824 个文件和目录。)
正在解压缩 nvidia-glx-new (从 .../nvidia-glx-new_169.12+2.6.24.12-16.34_i386.deb) ...
dpkg-divert: “diversion of /usr/lib/libGL.so.1 to /usr/lib/nvidia/libGL.so.1.xlibmesa by nvidia-glx-new” 与 “diversion of /usr/lib/libGL.so.1 to /usr/lib/fglrx/libGL.so.1.xlibmesa by xorg-driver-fglrx” 冲突
dpkg:处理 /var/cache/apt/archives/nvidia-glx-new_169.12+2.6.24.12-16.34_i386.deb (--unpack)时出错:
子进程 pre-installation script 返回了错误号 2
在处理时有错误发生:
/var/cache/apt/archives/nvidia-glx-new_169.12+2.6.24.12-16.34_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
头像
lyp069
帖子: 272
注册时间: 2005-10-25 13:54
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lyp069 » 2008-06-19 15:53

第一楼主要认清自己机器上的显卡型号。从出错结果上来看,你的机器里原来安装过ATI的显卡驱动,但是你却想安装N卡的驱动。两者是不可以全安装的,我想这个道理你应明白。如果是之前安错了驱动,请先打开新立得搜xorg-driver-fglrx
卸掉它。然后安装N卡的驱动。N卡驱动分nvidia-glx和nvidia-glx-new两种分别支持新旧两个系列的显卡。例如如果你是gefore4的显卡,那么你就需要用nvidia-glx,nvidia-glx-new不支持你的显卡。如果你是Getforce 6以上你就需要nvidia-glx-new了。小伙儿,认清你的硬件再操作。可不能蛮干。如果你不知道你的硬件型号,系统菜单里有硬件测试工具测一下再说。
回复

回到 “系统安装和升级”